/*
 * advchctrlsetup.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */
 
#include "advchctrlconfig.h"
#include "advchctrli18n.h"
#include "advchctrlsetup.h"

//static const char *SortOpt[] = { "As entered", "None", "Name", NULL };

cAdvChCtrlSetup::cAdvChCtrlSetup(void)
{
    DefaultVolume = config.defaultvolume;
    HideMainMenu = config.hidemainmenu;

    Add(new cMenuEditBoolItem(tr("Hide main menu entry"), &HideMainMenu));
    Add(new cMenuEditIntItem(tr("Default volume"),       &DefaultVolume, 0, 255));
//  Add(new cMenuEditNumChanItem(tr("Number of channels"),&Lines));
//  Add(new cMenuEditSortByItem(tr("Sort by"),           &SortBy));
}

void cAdvChCtrlSetup::Store(void)
{
    SetupStore("HideMainMenu", config.hidemainmenu = HideMainMenu);
    SetupStore("DefaultVolume", config.defaultvolume = DefaultVolume);
}
